Package org.drinkless.tdlib

# Class TdApi.GetChatJoinRequests

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.ChatJoinRequests>
org.drinkless.tdlib.TdApi.GetChatJoinRequests

Enclosing class:
  `TdApi`

public static class TdApi.GetChatJoinRequests extends TdApi.Function<TdApi.ChatJoinRequests>
Returns pending join requests in a chat.

Returns `ChatJoinRequests`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Chat identifier.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `inviteLink`
  Invite link for which to return join requests.
  `int`
  `limit`
  The maximum number of requests to join the chat to return.
  `TdApi.ChatJoinRequest`
  `offsetRequest`
  A chat join request from which to return next requests; pass null to get results from the beginning.
  `String`
  `query`
  A query to search for in the first names, last names and usernames of the users to return.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetChatJoinRequests()`
  Default constructor for a function, which returns pending join requests in a chat.
  `GetChatJoinRequests(long chatId, String inviteLink, String query, TdApi.ChatJoinRequest offsetRequest, int limit)`
  Creates a function, which returns pending join requests in a chat.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Chat identifier.

  - ### inviteLink

    public String inviteLink
    Invite link for which to return join requests. If empty, all join requests will be returned. Requires administrator privileges and canInviteUsers right in the chat for own links and owner privileges for other links.

  - ### query

    public String query
    A query to search for in the first names, last names and usernames of the users to return.

  - ### offsetRequest

    public TdApi.ChatJoinRequest offsetRequest
    A chat join request from which to return next requests; pass null to get results from the beginning.

  - ### limit

    public int limit
    The maximum number of requests to join the chat to return.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GetChatJoinRequests

    public GetChatJoinRequests()
    Default constructor for a function, which returns pending join requests in a chat.

    Returns `ChatJoinRequests`

  - ### GetChatJoinRequests

    public GetChatJoinRequests(long chatId, String inviteLink, String query, TdApi.ChatJoinRequest offsetRequest, int limit)
    Creates a function, which returns pending join requests in a chat.

    Returns `ChatJoinRequests`

    Parameters:
      `chatId` - Chat identifier.
      `inviteLink` - Invite link for which to return join requests. If empty, all join requests will be returned. Requires administrator privileges and canInviteUsers right in the chat for own links and owner privileges for other links.
      `query` - A query to search for in the first names, last names and usernames of the users to return.
      `offsetRequest` - A chat join request from which to return next requests; pass null to get results from the beginning.
      `limit` - The maximum number of requests to join the chat to return.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.ChatJoinRequests>`
    Returns:
      this.CONSTRUCTOR